# $Id: radius.conf,v 1.3 2002/12/01 20:31:23 rra Exp $
#
# Sample RADIUS configuration file for the RADIUS readers.conf
# authenticator.  If you're not using that authenticator, this file is not
# used.

# Hostname of the RADIUS server.

#radhost:       radius-server.example.com

# Port to query on the RADIUS server.

radport:        1645

# Local hostname or IP address.
#
# The RADIUS server expects an IP address; a hostname will be translated
# into an IP address with gethostbyname().  If not given, not included in
# the request (not all RADIUS setups need this information).

#lochost:       news.example.com

# Local port of connection.
#
# The port the client we're authenticating is connecting to.  If not
# given, defaults to 119.  You'll only need to set this if you're readers
# are connecting on a non-standard port.

#locport:       119

# Shared secret with RADIUS server.
#
# Be careful not to use the '#' symbol in your secret, since in this
# file that indicates the beginning of a comment.

#secret:        SECRET-WORD

# Prefix for username.
#
# Before given to the RADIUS server, usernames will be rewritten by
# prepending the prefix, if given, and then appending the suffix, if
# given.

#prefix:        news-

# Suffix for username.

#suffix:        @example.com

# Whether to ignore bad reply IP.
#
# If set to false, the RADIUS authenticator will check to ensure that the
# response it receives is from the same IP address as it sent the request
# to (for some added security).  If set to true, it will skip this
# verification check (if your RADIUS server has multiple IP addresses or
# if other odd things are going on, it may be perfectly normal for the
# response to come from a different IP address).

ignore-source:  false
